Docs

Create a new webhook

Create a new webhook for a project. The webhook will receive notifications for specified events.

POST
/webhooks

Authorization

Authorization
header
string
required

Enter the project access token with the Bearer prefix, e.g. "Bearer project_access_token"

Bodyapplication/json

Webhook creation parameters

url
string
required

Url is the endpoint that will receive webhook notifications, which must be a valid HTTP URL.

Examples:
https://example.com/webhook
enabled
boolean

Enabled indicates whether the webhook is active.

Examples:
true
events
string[]

Events specifies the types of events that will trigger the webhook.

Available options:
job.createdjob.completedjob.failedjob.cancelledsource.createdsource.deletedupload.createdupload.completedupload.failedupload.expiredasset.createdasset.readyasset.playback_readyasset.failedasset.expiredasset.deletedasset.output.createdasset.output.readyasset.output.failedasset.output.deletedworkflow_run.createdworkflow_run.completedworkflow_run.failedworkflow_run.cancelledtranscoding.createdtranscoding.readytranscoding.failedtranscoding.cancelledtranscoding.expiredtranscoding.deletedthumbnail.createdthumbnail.readythumbnail.failedthumbnail.expiredthumbnail.deleted
Examples:
["asset.playback_ready", "asset.failed"]

Responses

application/json
data
object
required

Data contains the response object

status
"success"
string
required

Status indicates the response status "success"

The webhook was created successfully